package org.fouram.service;

import org.fouram.core.base.service.BaseService;
import org.fouram.entity.SapCheckdate;
import org.springframework.stereotype.Service;

@Service
public class SapCheckdateService extends BaseService {

	public SapCheckdate queryOneByCheckinDay(String checkinDay) throws Exception {
		return (SapCheckdate) findObject("SapCheckdateMapper.queryOneByCheckinDay", checkinDay);
	}
	
	public void saveCheckout(String checkinDay) throws Exception {
		if(queryOneByCheckinDay(checkinDay) == null) {
			save("SapCheckdateMapper.saveOne", checkinDay);
		}
	}
}